%define upstream_name    Getopt-Long-Util
%define upstream_version 0.88

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    Utilities for Getopt::Long
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Getopt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More) >= 0.980.0
BuildArch:  noarch

%description
Utilities for Getopt::Long

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Dec 17 2016 guillomovitch <guillomovitch> 0.880.0-1.mga6
+ Revision: 1075818
- new version 0.88

* Sun Jun 19 2016 pterjan <pterjan> 0.840.0-2.mga6
+ Revision: 1027895
- Rebuild for perl 5.22.2

* Sat Mar 26 2016 guillomovitch <guillomovitch> 0.840.0-1.mga6
+ Revision: 995576
- new version 0.84

* Fri Feb 19 2016 umeabot <umeabot> 0.830.0-2.mga6
+ Revision: 968091
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.830.0-1.mga6
+ Revision: 851263
- update to 0.83

* Wed Oct 15 2014 umeabot <umeabot> 0.770.0-3.mga5
+ Revision: 749901
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.770.0-2.mga5
+ Revision: 684859
- Mageia 5 Mass Rebuild

* Wed Jul 30 2014 guillomovitch <guillomovitch> 0.770.0-1.mga5
+ Revision: 658290
- imported package perl-Getopt-Long-Util

